package com.adealink.weparty.commonui.layout

open class DynamicLayerError(message: String) : Exception(message)

class DynamicLayerIndexNotFoundError(idName: String) : DynamicLayerError("$idName 层级未定义")

class DynamicLayerViewNotDefineError(idName: String) : DynamicLayerError("$idName 未定义实现控件")

class DynamicLayerLayoutParamsNotDefineError(idName: String) : DynamicLayerError("$idName 未定义LayoutParams")